Bug 508986 - vpnc connection fails "because there were no valid secrets"
vpnc connection fails "because there were no valid secrets"
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 14:22 EDT by Chris Wright
Modified: 2009-11-06 01:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 01:26:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Wright 2009-06-30 14:22:08 EDT
Description of problem:

Can't establish vpnc connection

Version-Release number of selected component (if applicable):

NetworkManager-vpnc-0.7.0.99-1.fc11.x86_64

How reproducible:

every time

Steps to Reproduce:
1. create vpnc connection
2. set shared secret (set to saved)
3. set user password to "Always Ask"
  
Actual results:

Fails to establish connection

Expected results:

Password prompt and connection succeeds

Additional info:


Jun 30 11:07:26 x200 NetworkManager: <info>  Starting VPN service 'org.freedesktop.NetworkManager.vpnc'...
Jun 30 11:07:26 x200 NetworkManager: <info>  VPN service 'org.freedesktop.NetworkManager.vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 14089
Jun 30 11:07:26 x200 NetworkManager: <info>  VPN service 'org.freedesktop.NetworkManager.vpnc' just appeared, activating connections
Jun 30 11:07:26 x200 dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1877 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.vpnc" (uid=0 pid=14089 comm="/usr/libexec/nm-vpnc-service "))
Jun 30 11:07:26 x200 NetworkManager: nm-vpn-connection.c.900: NeedSecrets failed: dbus-glib-error-quark Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1877 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.vpnc" (uid=0 pid=14089 comm="/usr/libexec/nm-vpnc-service "))
Jun 30 11:07:26 x200 dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1877 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="Disconnect" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.vpnc" (uid=0 pid=14089 comm="/usr/libexec/nm-vpnc-service "))
Jun 30 11:07:26 x200 NetworkManager: <WARN>  connection_state_changed(): Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1877 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="Disconnect" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.vpnc" (uid=0 pid=14089 comm="/usr/libexec/nm-vpnc-service "))
Jun 30 11:07:26 x200 NetworkManager: <info>  Policy set 'Auto sequoia' (wlan0) as default for routing and DNS.
Comment 1 Steven Schveighoffer 2009-07-07 11:38:14 EDT
I have similar messages for NetworkManager-pptp-0.7.0.99-1.fc11.i586

Jul  7 11:22:40 steveslaptop NetworkManager: <info>  Starting VPN service 'org.freedesktop.NetworkManager.pptp'...
Jul  7 11:22:40 steveslaptop NetworkManager: <info>  VPN service 'org.freedesktop.NetworkManager.pptp' started (org.freedesktop.NetworkManager.pptp), PID 6858
Jul  7 11:22:40 steveslaptop NetworkManager: <info>  VPN service 'org.freedesktop.NetworkManager.pptp' just appeared, activating connections
Jul  7 11:22:40 steveslaptop dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1761 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.pptp" (uid=0 pid=6858 comm="/usr/libexec/nm-pptp-service "))
Jul  7 11:22:40 steveslaptop NetworkManager: nm-vpn-connection.c.900: NeedSecrets failed: dbus-glib-error-quark Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1761 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="NeedSecrets" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.pptp" (uid=0 pid=6858 comm="/usr/libexec/nm-pptp-service "))
Jul  7 11:22:40 steveslaptop dbus: Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1761 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="Disconnect" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.pptp" (uid=0 pid=6858 comm="/usr/libexec/nm-pptp-service "))
Jul  7 11:22:40 steveslaptop NetworkManager: <WARN>  connection_state_changed(): Rejected send message, 1 matched rules; type="method_call", sender=":1.8" (uid=0 pid=1761 comm="NetworkManager --pid-file=/var/run/NetworkManager/") interface="org.freedesktop.NetworkManager.VPN.Plugin" member="Disconnect" error name="(unset)" requested_reply=0 destination="org.freedesktop.NetworkManager.pptp" (uid=0 pid=6858 comm="/usr/libexec/nm-pptp-service "))

Note, the NetworkManager gnome app didn't ask for me to save secrets or anything.
Comment 2 Steven Schveighoffer 2009-07-08 09:25:35 EDT
From another network, the vpn connection works without a problem, so maybe it's simply an issue with testing the VPN from the network you're trying to connect to.

The error message certainly is useless however.  In my case, the error only appears in /var/log/messages, there were no visual indications from the UI that the connection was even attempted or failed.
Comment 4 Dan Williams 2009-10-07 11:39:17 EDT
Looks more like dbus permissions issues, what version of dbus does everyone have installed?
Comment 5 Chris Wright 2009-10-21 18:39:04 EDT
$ rpm -q dbus
dbus-1.2.12-2.fc11.x86_64

$ rpm -qa | grep NetworkManager
NetworkManager-vpnc-0.7.0.99-1.fc11.x86_64
NetworkManager-gnome-0.7.1-8.git20090708.fc11.x86_64
NetworkManager-glib-0.7.1-8.git20090708.fc11.x86_64
NetworkManager-0.7.1-8.git20090708.fc11.x86_64

I just randomly tried this again...it's working fine now.
Comment 6 Dan Williams 2009-11-06 01:26:58 EST
If you'd just installed NM-vpnc or updated NM, there is a dbus bug that when a new permissions file gets dropped onto the disk, sometimes dbus needs a HUP before it'll recognize the new permissions.  If you get this again, try a 'killall -HUP dbus-daemon' and then try the VPN again.  Reopen if you see this again and the HUP doesn't work, thanks!

Note You need to log in before you can comment on or make changes to this bug.